
<template>
 

   <div class="container mt-4" id="app">

   <select @change="onChange($event)" v-model="selectkey">
            <option value="1"> Weather

            </option>
            <option value="2"> Country data

            </option>
        </select>

    <table v-if="showWeather" class="table table-bordered">
      <thead>
        <tr>
          <th scope="col">Temp</th>
          <th scope="col">Temp. min</th>
          <th scope="col">Temp. max</th>
          <th scope="col">Feels like</th>
          <th scope="col">Humidity</th>
          
        </tr>
      </thead>
      <tbody>
        <tr :key="post.id" v-for="post in posts">
          <td>{{ post.temp }} </td>
          <td>{{ post.temp_min }}</td>
          <td>{{ post.temp_max }}</td>
          <td>{{ post.feels_like }}</td>
          <td>{{ post.humidity }}</td>
        </tr>
      </tbody>
    </table>

  <table v-if="showWind" class="table table-bordered">
      <thead>
        <tr>
          <th scope="col">Country</th>
          <th scope="col">Country id</th>
        </tr>
      </thead>
      <tbody>
        <tr :key="post.id" v-for="post in select">
          <td>{{ post.country }} </td>
          <td>{{ post.id }}</td>          
        </tr>
      </tbody>
    </table>

  </div>

  
</template>

<script>
import axios from 'axios';


export default {
  data() {
    return {
      select: [],
      posts: [],
      errors: [],
      selectkey: "",
      showWeather : false,
      showWind : false,
    }
  },

  async created() {
    await axios.get('https://api.openweathermap.org/data/2.5/weather?lat=42.4304&lon=19&units=metric&appid=af614f46a54300329afc8a3dd868cc2b')
    .then(response => {
      this.select = [response.data.sys]
      this.posts = [response.data.main]
      console.log(response.data)
    })
    .catch(e => {
      this.errors.push(e)
    })
    
  },
  methods:{
        onChange(event){
            if(event.target.value == 1){
                this.showWeather = true
                this.showWind = false
            }
            else {
                this.showWeather = false
                this.showWind = true
            }
        }
    }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
